System One
Evaluate typed questions with a System One model.
Evaluate typed questions with a TypeSafe AI System One model.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
TypeSafe AI System One evaluation request.
modelstringRequired
stateone ofRequired
State supplied to the evaluation.
stringOptional
or
string[]Optional
Other propertiesanyOptional
Responses
200
TypeSafe AI System One evaluation response.
application/json
modelstringRequired
Other propertiesanyOptional
400
Invalid request data.
402
The company has run out of AI credits. Returned when the company's budget limit has been reached.
application/json
422
Upstream validation error.
500
Server error.
post/v1/systemone
POST /v1/systemone HTTP/1.1
Host: api.nexos.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 243
{
"model": "jev-latest",
"state": "Help! My payouts have been failing for 3 days.",
"questions": {
"is_urgent": {
"type": "noul",
"instructions": "Does this convey urgency?",
"criteria": {
"true": "Explicitly time-sensitive",
"false": "No urgency expressed"
}
}
}
}{
"model": "jev-1.13.0",
"answers": {
"is_urgent": {
"type": "noul",
"noul": 0.95
}
},
"usage": {
"input_tokens": 307,
"output_tokens": 20
}
}Last updated

